﻿
.object {
    padding: var(--objectPaddingTop) var(--objectPaddingRight);
    font-size: var(--fontSizeMedium);
    line-height: 1.49;
    border: var(--objectBorder) solid var(--primaryBorderColor);
    border-radius: var(--objectBorderRadius);
    text-align: center;
    height: calc(100% - (2*(var(--objectPaddingTop))+2*(var(--objectBorder))));
    width: calc(100% - (2*(var(--objectPaddingRight))+2*(var(--objectBorder))));
}


.myGrid {
    display: grid;
    text-align: left;
    margin-left: 2rem;
    font-size: var(--fontSizeMedium);
    grid-template-rows: 30% 30%;
    grid-template-columns: 20% 30%;
    width: 30%;
}

.myPanel {
    display: grid;
    grid-template-rows: 20% 60% 20%;
}

.myPanel_header {
    font-size: var(--fontSizeMedium);
    font-weight: bold;
}

.myPanel_body {
}

.mySubPanel {
    height: 100%;
}


.btn_chart {
    width: 100%;
    font-size: 2em;
    color: #3b3f4f;
    font-weight: 600;
}

.icon_Chart {
    width: 12rem;
    height: 12rem;
    background: grey;
    border-radius: 50%;
    margin: 0 auto;
    background: #3b3f4f;
    text-align: center;
}

.fa_Chart {
    font-size: 6em;
    color: white;
    text-shadow: 0px 0px 0.4rem grey, 0px 0px 1rem lightgrey;
    margin: 16%;
}

.btn_chart_controll {
    width: 100%;
    font-size: 2rem;
    color: #3b3f4f;
    font-weight: 600;
}

.footer_graph {
    display: grid;
    grid-template-columns: 33% 33% 33%;
    padding-bottom: 2em;
}

.list-group-item:hover {
    color: #337ab7;
    text-shadow: 0 0 1em #337ab7;
    cursor: pointer;
}
.screwContainer {
    transform: rotate(-15deg);
    position: relative;
    margin-left: auto;
    margin-right: auto;
    border-top: 0.2rem solid gray;
    border-bottom: 0.2rem solid gray;
}

.screwContainer_full {
    background: linear-gradient(to top, aqua 0%, aqua 30%, transparent 40%);
}


.screw {
   
    height: 100%;
    width: 100%;
    background-image: repeating-linear-gradient(-225deg, transparent 0%, transparent 10%, black 10%, black 20%);
}

.card {
    width: 320px;
    background: #ffffff;
    color: black;
    position: relative;
    border-radius: 2.5em;
    padding: 2em;
    transition: transform 0.4s ease;
    user-select:none;
}

    .card .card-content {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        gap: 5em;
        height: 100%;
        transition: transform 0.4s ease;
    }

    .card .card-top, .card .card-bottom {
        display: flex;
        justify-content: space-between;
    }

        .card .card-top p, .card .card-top .card-title, .card .card-bottom p, .card .card-bottom .card-title {
            margin: 0;
        }

    .card .card-title {
        font-weight: bold;
    }

    .card .card-top p, .card .card-bottom p {
        font-weight: 600;
        font-size: 2rem;
    }

    .card .card-bottom {
        align-items: flex-end;
    }

    .card .card-image {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        display: grid;
        place-items: center;
        pointer-events: none;
    }

        .card .card-image svg {
            width: 4em;
            height: 4em;
            transition: transform 0.4s ease;
        }

    .card:hover {
        cursor: pointer;
        transform: scale(0.97);
    }

        .card:hover .card-content {
            transform: scale(0.96);
        }

        .card:hover .card-image svg {
            transform: scale(1.05);
        }

    .card:active {
        transform: scale(0.9);
    }




.gridview {
    padding: 4rem;
    display: grid;
    grid-template-columns:repeat(4, 1fr);
    justify-content: space-between;
    grid-gap: 2rem;
    align-content: space-between;
    justify-items: center;
}


.inputBox_container {
    display: flex;
    align-items: center;
    flex-direction: row;
    max-width: 14em;
    width: fit-content;
    height: fit-content;
    background-color: #ffffff;
    border-radius: 0.8em;
    overflow: hidden;
    margin-top:1rem;
}

.search_icon {
    height: 1em;
    padding: 0 0.5em 0 0.8em;
    fill: #abb2bf;
}

.inputBox {
    background-color: transparent;
    color: black;
    outline: none;
    width: 100%;
    border: 0;
    padding: 0.5em 1.5em 0.5em 0;
    font-size: 1em;
}

::placeholder {
    color: #abb2bf;
}
